package com.yem.wm.bc.change.business;

import com.yem.wm.bc.change.business.service.XBillChangeService;

import java.util.HashMap;
import java.util.Map;

/**
 * @author zhouc
 * @date 2024/1/12 19:45
 * @className XPriceLibraryChangeService
 * @description 价格库分录参数类
 */
public class XPriceLibraryChangeService extends XBillChangeService {
    @Override
    public Map<String, Map<String, String>> getXBillEntryAndOp() {
        Map<String, Map<String, String>> result = new HashMap();
        Map<String, String> value = new HashMap();
        value.put("entity", "yem_basicmodel");//单据体标识
        value.put("entry_toolbar", "yem_advcontoolbarap");//高级面板工具栏
        value.put("btn_add", "yem_advconbaritemap");//增行
        value.put("btn_delete", "yem_deleteentry_model");//删行
        value.put("btn_modify", "modifyrow");//修改
        value.put("changetype", "yem_changetype");//变更方式
        value.put("srcid", "yem_billentrysrcid");//源单行ID
        result.put(value.get("entity"), value);
        //yem_accessory 配件信息
        Map<String, String> accessoryvalue = new HashMap();
        accessoryvalue.put("entity", "yem_accessory");//单据体标识
        accessoryvalue.put("entry_toolbar", "yem_advcontoolbarap31");//高级面板工具栏
        accessoryvalue.put("btn_add", "yem_advconbaritemap41");//增行
        accessoryvalue.put("btn_delete", "yem_advconbaritemap131");//删行
        accessoryvalue.put("btn_modify", "modifyrow");//修改
        accessoryvalue.put("changetype", "yem_changetypepj");//变更方式
        accessoryvalue.put("srcid", "yem_billentrysrcidpj");//源单行ID
        result.put(value.get("entity"), accessoryvalue);
//        //可选装
//        Map<String, String> optionalvalue = new HashMap();
//        optionalvalue.put("entity", "yem_optional");//单据体标识
//        optionalvalue.put("entry_toolbar", "yem_advcontoolbarap4");//高级面板工具栏
//        optionalvalue.put("btn_add", "yem_advconbaritemap5");//增行
//        optionalvalue.put("btn_delete", "yem_advconbaritemap6");//删行
//        optionalvalue.put("btn_modify", "modifyrow");//修改
//        optionalvalue.put("changetype", "yem_changetypexz");//变更方式
//        optionalvalue.put("srcid", "yem_billentrysrcidxz");//源单行ID
//        result.put(value.get("entity"), optionalvalue);
//        //可替换
//        Map<String, String> replaceablevalue = new HashMap();
//        replaceablevalue.put("entity", "yem_replaceable");//单据体标识
//        replaceablevalue.put("entry_toolbar", "yem_advcontoolbarap1");//高级面板工具栏
//        replaceablevalue.put("btn_add", "yem_advconbaritemap2");//增行
//        replaceablevalue.put("btn_delete", "yem_advconbaritemap7");//删行
//        replaceablevalue.put("btn_modify", "modifyrow");//修改
//        replaceablevalue.put("changetype", "yem_changetypeth");//变更方式
//        replaceablevalue.put("srcid", "yem_billentrysrcidth");//源单行ID
//        result.put(value.get("entity"), replaceablevalue);
//        //可加装
//        Map<String, String> retrofittingvalue = new HashMap();
//        retrofittingvalue.put("entity", "yem_retrofitting");//单据体标识
//        retrofittingvalue.put("entry_toolbar", "yem_advcontoolbarap2");//高级面板工具栏
//        retrofittingvalue.put("btn_add", "yem_advconbaritemap3");//增行
//        retrofittingvalue.put("btn_delete", "yem_deleteentry_retrofitt");//删行
//        retrofittingvalue.put("btn_modify", "modifyrow");//修改
//        retrofittingvalue.put("changetype", "yem_changetypejz");//变更方式
//        retrofittingvalue.put("srcid", "yem_billentrysrcidjz");//源单行ID
//        result.put(value.get("entity"), retrofittingvalue);
        return result;
    }
}
